ary = [1, 2, 3, 4, 5]

# for-each-loop
sum = 0
for e in ary
  sum += e
end
puts "SUM: #{sum}"

# each-iterator
sum = 0
ary.each { |e| sum += e }
puts "SUM: #{sum}"

# inject-with block
sum = ary.inject(0) { |sum, e| sum += e }
puts "SUM: #{sum}"

# inject-with symbol
sum = ary.inject(:+)
puts "SUM: #{sum}"
